package kr.co.hanwha.hifive.enums;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public enum TaskFlagType {
    /**
     * NONE
     */
    NONE(0),

    /**
     * 수락한 나의 업무
     */
    ASSIGNED_MY_TASK(1),
    /**
     * 대기함에 있는 나의 업무
     */
    WAITING_TO_ME(10),
    /**
     * 완료된 나의 업무
     */
    COMPLETED_MY_TASK(15),
    /**
     * 요청 반려된 업무(내가 요청한 업무)<br>
     * STATUS : 40
     */
    REQUEST_TASK_REJECTED(20),
    /**
     * 평가를 기다리는 업무(내가 요청한 업무)<br>
     * STATUS : 60
     */
    REQUEST_TASK_EVALUATION(21),
    /**
     * 내가 요청한 업무
     * STATUS : 40, 60 제외
     */
    REQUEST_TASK_ASSIGNED(22);

    private int mFlag;

    TaskFlagType(int flag) {
        mFlag = flag;
    }

    public int getCode() {
        return mFlag;
    }
}
